package com.zehong.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 巡检计划对象 t_inspection_plan
 * 
 * @author zehong
 * @date 2021-07-21
 */
public class TInspectionPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 巡检计划id */
    private int planId;

    /** 巡检计划名称 */
    @Excel(name = "巡检计划名称")
    private String planName;

    /** 工单id */
    @Excel(name = "工单id")
    private String orderId;

    /** 设备编号（多个编号用逗号分隔） */
    @Excel(name = "设备号")
    private String deviceCodes;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /** 计划状态（0未下发，1已下发，2进行中，3已完成） */
    @Excel(name = "计划状态（0未下发，1已下发，2进行中，3已完成）")
    private String planStatus;

    /** 计划描述 */
    @Excel(name = "计划描述")
    private String remarks;

    public void setPlanId(int planId)
    {
        this.planId = planId;
    }

    public int getPlanId()
    {
        return planId;
    }
    public void setPlanName(String planName) 
    {
        this.planName = planName;
    }

    public String getPlanName() 
    {
        return planName;
    }

    public String getDeviceCodes() {
        return deviceCodes;
    }

    public void setDeviceCodes(String deviceCodes) {
        this.deviceCodes = deviceCodes;
    }

    public void setOrderId(String orderId)
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setPlanStatus(String planStatus) 
    {
        this.planStatus = planStatus;
    }

    public String getPlanStatus() 
    {
        return planStatus;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("planId", getPlanId())
            .append("planName", getPlanName())
            .append("deviceCodes", getDeviceCodes())
            .append("orderId", getOrderId())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("planStatus", getPlanStatus())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("remarks", getRemarks())
            .toString();
    }
}
